/**********************************************************/
/*                                                        */
/*      UTAH_Blinky.C:  Flash LED on Easy UTAH board      */
/*                                                        */
/**********************************************************/


#include <reg167.h>                      /* special function register 80C167  */

/******************************************************************************/
/***************************      MAIN PROGRAM      ***************************/
/******************************************************************************/

void main ( void )  {                          /* main entry for program      */
  unsigned int idx;
  unsigned long tmp;

  DP3  |= 0x0008;                     // SET PORT 3.3 DIRECTION CONTROL TO OUTPUTTXD OUTPUT
  ODP3 |= 0x0008;                     // SET PORT 3.3 TO OPEN DRAIN MODE

  idx = 100;
  while(--idx) {
    P3  &= ~0x0008;                   // RESET PORT 3.3 OUTPUT LATCH 
    P3  |=  0x0008;                   // SET PORT 3.3 OUTPUT LATCH 
  }
  while(1) {
    P3  &= ~0x0008;                   // RESET PORT 3.3 OUTPUT LATCH
    for(tmp=0; tmp < 100000; tmp++) { // delay
      ;
    }
    P3  |=  0x0008;                   // SET PORT 3.3 OUTPUT LATCH
    for(tmp=0; tmp < 100000; tmp++) { // delay
      ;
    }
  }

}
